org.eclipse.rdf4j.model.vocabulary

## Class SKOSXL

- java.lang.Object
- - org.eclipse.rdf4j.model.vocabulary.SKOSXL

-     public class SKOSXL
      extends Object

  Vocabulary constants for the SKOS eXtension for Labels (SKOS-XL).
  Author:
    Manuel Fiorelli
  See Also:
    Appendix B of SKOS Simple Knowledge Organization System Reference

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IRI` | `ALT_LABEL` The skosxl:altLabel property.
    `static IRI` | `HIDDEN_LABEL` The skosxl:hiddenLabel property.
    `static IRI` | `LABEL` The skosxl:Label class.
    `static IRI` | `LABEL_RELATION` The skosxl:labelRelation relation.
    `static IRI` | `LITERAL_FORM` The skosxl:literalForm property.
    `static String` | `NAMESPACE` The SKOS-XL namespace: http://www.w3.org/2008/05/skos-xl#
    `static Namespace` | `NS` An immutable `Namespace` constant that represents the SKOS-XL namespace.
    `static IRI` | `PREF_LABEL` The skosxl:prefLabel property.
    `static String` | `PREFIX` The recommended prefix for the SKOS-XL namespace: "skosxl"

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SKOSXL()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE

          public static final String NAMESPACE

      The SKOS-XL namespace: http://www.w3.org/2008/05/skos-xl#
      See Also:
        Constant Field Values

    - #### PREFIX

          public static final String PREFIX

      The recommended prefix for the SKOS-XL namespace: "skosxl"
      See Also:
        Constant Field Values

    - #### NS

          public static final Namespace NS

      An immutable `Namespace` constant that represents the SKOS-XL namespace.

    - #### LABEL

          public static final IRI LABEL

      The skosxl:Label class.
      See Also:
        The skosxl:Label Class

    - #### LITERAL_FORM

          public static final IRI LITERAL_FORM

      The skosxl:literalForm property.
      See Also:
        The skosxl:Label Class

    - #### PREF_LABEL

          public static final IRI PREF_LABEL

      The skosxl:prefLabel property.
      See Also:
        Preferred, Alternate and Hidden skosxl:Labels

    - #### ALT_LABEL

          public static final IRI ALT_LABEL

      The skosxl:altLabel property.
      See Also:
        Preferred, Alternate and Hidden skosxl:Labels

    - #### HIDDEN_LABEL

          public static final IRI HIDDEN_LABEL

      The skosxl:hiddenLabel property.
      See Also:
        Preferred, Alternate and Hidden skosxl:Labels

    - #### LABEL_RELATION

          public static final IRI LABEL_RELATION

      The skosxl:labelRelation relation.
      See Also:
        Links Between skosxl:Labels

  - ### Constructor Detail

    - #### SKOSXL

          public SKOSXL()

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.